# Connection

### Connect to TapTalk.io server

You can manually connect to TapTalk.io by calling this method.

{% hint style="warning" %}
**Note:** Please make sure that you have finished authentication by calling **`authenticateWithAuthTicket:connectWhenSuccess:`**&#x6D;ethod, otherwise, it will return an error
{% endhint %}

{% tabs %}
{% tab title="Objective-C" %}

```csharp
#import <TapTalk/TapTalk.h>

[[TapTalk sharedInstance] connectWithCompletionHandler:^{
    // Success connect to TapTalk.io server
}];
```

{% endtab %}
{% endtabs %}

### Disconnect from TapTalk.io server

You can disconnect from TapTalk.io when the user no longer needs to receive messages from an online state. But the user can still receive push notifications for new messages when the app is closed.

When the user is disconnected from the server, all event delegates will stop receiving event callbacks from the server.

{% tabs %}
{% tab title="Objective-C" %}

```csharp
#import <TapTalk/TapTalk.h>

[[TapTalk sharedInstance] disconnectWithCompletionHandler:^{
    // Success disconnected from TapTalk.io server.
}];
```

{% endtab %}
{% endtabs %}

### Check Connection Status

You can check whether you are connected to TapTalk.io server by calling **`isConnected`** method.

{% tabs %}
{% tab title="Objective-C" %}

```csharp
#import <TapTalk/TapTalk.h>

BOOL isConnected = [[TapTalk sharedInstance] isConnected];
```

{% endtab %}
{% endtabs %}

### Enable / Disable Auto Connect

You can choose to enable or disable auto connect by calling these methods. TapTalk.io will automatically connect to the server every time the user opens the app from the background when auto connect is enabled. Please note that the **default value** is **enabled**.

{% tabs %}
{% tab title="Objective-C" %}
{% code title="AppDelegate.m" %}

```csharp
#import <TapTalk/TapTalk.h>
  
- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions {

   //Other Code
   ...

   // Call this method to enable or disable auto connect to socket
   // The default is enabled if you do not set this method
   [[TapTalk sharedInstance] enableAutoConnect:IS_ENABLED];
}
```

{% endcode %}
{% endtab %}
{% endtabs %}

{% hint style="info" %}

#### Parameters

`IS_ENABLED`: (BOOL) set to TRUE/YES to enable auto connect to TapTalk server
{% endhint %}

### Get Auto Connect Status

Use this method to obtain auto connect status. This method will return **`TRUE`** if auto connect is enabled

{% tabs %}
{% tab title="Objective-C" %}

```csharp
#import <TapTalk/TapTalk.h>

// Call this method obtain auto connect status
// isAutoConnectEnabled will return TRUE if auto connect is enabled
BOOL isAutoConnectEnabled = [[TapTalk sharedInstance] isAutoConnectEnabled];
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.taptalk.io/powertalk-chat-sdk-documentation/powertalk-ios/connection.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
